
{% macro render_field2(field) %}

	{{ field.label(**{'class':'c-input--default c-input--text c-input js-field-with-hint js-ui-input-wrapper', 
	              'data-validate-while-typing':'true', 
	              'data-hint':field.description})}}
	<div class="c-input__content js-input-content">
		{{ field(**kwargs)|safe }}						
	</div>

	
{% endmacro %}}

{% macro render_field(field, placeholder='') %}

<label class="c-input--default c-input--text c-input js-field-with-hint js-ui-input-wrapper" 
		data-validate-while-typing="true" data-hint="{{ field.description}}" for="{{field.id}}">
		<div class="c-input__content js-input-content">
			<input type="text" name="{{field.name}}" id="{{field.id}}" class="c-input__value form-control" 
			placeholder="{{placeholder}}" autocomplete="{{field.id}}" 
			data-validate="required login" data-validate-while-typing="true" 
			data-hint="{{ field.description }}" data-server-validate="#">
		</div>
      <div class="c-input__validation js-hint is-hidden">
			{{ field.description }}
		</div>
</label>
{% if field.errors %}
<ul>{% for error in field.errors %}
   <li> {{error}}</li>
    {% endfor %}
</ul>
{% endif %}
{% endmacro %}

{% macro render_password_field(field, placeholder='') %}
<label class="c-input--default c-input--password c-input js-password-input js-ui-input-wrapper" for="{{field.id}}">
	<div class="c-input__content js-input-content">
		<input type="password" name="{{field.name}}" id="{{field.id}}" class="c-input__value " 
		placeholder="{{ placeholder }}" data-validate="required">
		<div class="c-input__icon js-input-icon">
			<div class="u-cursor-pointer js-password-icon">
				<div class="c-icon c-icon--medium c-icon-- js-icon">
					<svg width="24" height="24" viewBox="0 0 24 24" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
						<path d="M12,15 C5.372583,15 0,7.5 0,7.5 C0,7.5 5.372583,0 12,0 C18.627417,0 24,7.5 24,7.5 C24,7.5 18.627417,15 12,15 Z M12,10.5 C13.6568543,10.5 15,9.15685425 15,7.5 C15,5.84314575 13.6568543,4.5 12,4.5 C10.3431457,4.5 9,5.84314575 9,7.5 C9,9.15685425 10.3431457,10.5 12,10.5 Z" transform="translate(0.000000, 4.500000)" fill="#BBB" fill-rule="nonzero" stroke="none" stroke-width="1"></path>
					</svg>
				</div>
			</div>
		</div>
	</div>
</label>
{% if field.errors %}
<ul>{% for error in field.errors %}
   <li> {{error}}</li>
    {% endfor %}
</ul>
{% endif %}
{% endmacro %}